/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -l Oscl::Qt::DBus::BlueZ::Mesh::Management1::Server -i server.h -a adaptor dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This is an auto-generated file.
 * This file may have been hand-edited. Look for HAND-EDIT comments
 * before re-generating it.
 */

#ifndef ADAPTOR_H_1600720131
#define ADAPTOR_H_1600720131

#include <QtCore/QObject>
#include <QtDBus/QtDBus>
#include "server.h"
class QByteArray;
template<class T> class QList;
template<class Key, class Value> class QMap;
class QString;
class QStringList;
class QVariant;

/*
 * Adaptor class for interface org.bluez.mesh.Management1
 */
class Management1Adaptor: public QDBusAbstractAdaptor
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.bluez.mesh.Management1");
    Q_CLASSINFO("D-Bus Introspection", ""
"  <interface name=\"org.bluez.mesh.Management1\">\n"
"    <method name=\"UnprovisionedScan\">\n"
"      <arg direction=\"in\" type=\"a{sv}\" name=\"options\"/>\n"
"      <annotation value=\"QVariantMap\" name=\"org.qtproject.QtDBus.QtTypeName.In0\"/>\n"
"    </method>\n"
"    <method name=\"UnprovisionedScanCancel\"/>\n"
"    <method name=\"AddNode\">\n"
"      <arg direction=\"in\" type=\"ay\" name=\"uuid\"/>\n"
"      <arg direction=\"in\" type=\"a{sv}\" name=\"options\"/>\n"
"      <annotation value=\"QVariantMap\" name=\"org.qtproject.QtDBus.QtTypeName.In1\"/>\n"
"    </method>\n"
"    <method name=\"CreateSubnet\">\n"
"      <arg direction=\"in\" type=\"q\" name=\"net_index\"/>\n"
"    </method>\n"
"    <method name=\"ImportSubnet\">\n"
"      <arg direction=\"in\" type=\"q\" name=\"net_index\"/>\n"
"      <arg direction=\"in\" type=\"ay\" name=\"net_key\"/>\n"
"    </method>\n"
"    <method name=\"UpdateSubnet\">\n"
"      <arg direction=\"in\" type=\"q\" name=\"net_index\"/>\n"
"    </method>\n"
"    <method name=\"DeleteSubnet\">\n"
"      <arg direction=\"in\" type=\"q\" name=\"net_index\"/>\n"
"    </method>\n"
"    <method name=\"SetKeyPhase\">\n"
"      <arg direction=\"in\" type=\"q\" name=\"net_index\"/>\n"
"      <arg direction=\"in\" type=\"y\" name=\"phase\"/>\n"
"    </method>\n"
"    <method name=\"CreateAppKey\">\n"
"      <arg direction=\"in\" type=\"q\" name=\"net_index\"/>\n"
"      <arg direction=\"in\" type=\"q\" name=\"app_index\"/>\n"
"    </method>\n"
"    <method name=\"ImportAppKey\">\n"
"      <arg direction=\"in\" type=\"q\" name=\"net_index\"/>\n"
"      <arg direction=\"in\" type=\"q\" name=\"app_index\"/>\n"
"      <arg direction=\"in\" type=\"ay\" name=\"app_key\"/>\n"
"    </method>\n"
"    <method name=\"UpdateAppKey\">\n"
"      <arg direction=\"in\" type=\"q\" name=\"app_index\"/>\n"
"    </method>\n"
"    <method name=\"DeleteAppKey\">\n"
"      <arg direction=\"in\" type=\"q\" name=\"app_index\"/>\n"
"    </method>\n"
"    <method name=\"ImportRemoteNode\">\n"
"      <arg direction=\"in\" type=\"q\" name=\"primary\"/>\n"
"      <arg direction=\"in\" type=\"y\" name=\"count\"/>\n"
"      <arg direction=\"in\" type=\"ay\" name=\"device_key\"/>\n"
"    </method>\n"
"    <method name=\"DeleteRemoteNode\">\n"
"      <arg direction=\"in\" type=\"q\" name=\"primary\"/>\n"
"      <arg direction=\"in\" type=\"y\" name=\"count\"/>\n"
"    </method>\n"
"  </interface>\n"
        "");
public:
    Management1Adaptor(Oscl::Qt::DBus::BlueZ::Mesh::Management1::Server *parent);
    virtual ~Management1Adaptor();

    inline Oscl::Qt::DBus::BlueZ::Mesh::Management1::Server *parent() const
    { return static_cast<Oscl::Qt::DBus::BlueZ::Mesh::Management1::Server *>(QObject::parent()); }

public: // PROPERTIES
public Q_SLOTS: // METHODS
    void AddNode(const QByteArray &uuid, const QVariantMap &options);
    void CreateAppKey(ushort net_index, ushort app_index);
    void CreateSubnet(ushort net_index);
    void DeleteAppKey(ushort app_index);
    void DeleteRemoteNode(ushort primary, uchar count);
    void DeleteSubnet(ushort net_index);
    void ImportAppKey(ushort net_index, ushort app_index, const QByteArray &app_key);
    void ImportRemoteNode(ushort primary, uchar count, const QByteArray &device_key);
    void ImportSubnet(ushort net_index, const QByteArray &net_key);
    void SetKeyPhase(ushort net_index, uchar phase);
    void UnprovisionedScan(const QVariantMap &options);
    void UnprovisionedScanCancel();
    void UpdateAppKey(ushort app_index);
    void UpdateSubnet(ushort net_index);
Q_SIGNALS: // SIGNALS
};

#endif
